Page MenuHomePhabricator

PointerOverlay misbehaves on RTL
Closed, ResolvedPublic1 Story Points

Description

Upon testing the pointer behaviour on Hebrew Wikipedia I noticed the following issues:


Event Timeline

Jdlrobson created this task.Aug 3 2016, 9:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2016, 9:48 PM
dr0ptp4kt triaged this task as High priority.Aug 4 2016, 5:00 PM
dr0ptp4kt added a subscriber: dr0ptp4kt.

Removing the current sprint tag merely for the purpose of putting it on the triage today.

I'm currently working on T141680 and I think my solution will benefit this patch too.

bmansurov claimed this task.Aug 4 2016, 6:09 PM
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-78-Terminal-Velocity board.

Change 302963 had a related patch set uploaded (by Bmansurov):
Correctly display PointerOverlay on RTL wikis

https://gerrit.wikimedia.org/r/302963

Change 302963 merged by jenkins-bot:
Correctly display PointerOverlay on RTL wikis

https://gerrit.wikimedia.org/r/302963

Change 302992 had a related patch set uploaded (by Jdlrobson):
Correctly display PointerOverlay on RTL wikis

https://gerrit.wikimedia.org/r/302992

bmansurov removed bmansurov as the assignee of this task.Aug 4 2016, 8:34 PM

To test please visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Lang?uselang=he and click on the "לקרוא בשפה אחרת" button.

Change 302992 merged by jenkins-bot:
Correctly display PointerOverlay on RTL wikis

https://gerrit.wikimedia.org/r/302992

This was successfully swatted. Adam please sign off.

dr0ptp4kt closed this task as Resolved.Aug 6 2016, 11:50 AM

Signing off.

MBinder_WMF set the point value for this task to 1.Aug 8 2016, 5:10 PM